precision mediump float;

varying mediump vec2 vTextureCoord;

uniform sampler2D uSampler;

void main(){

    vec2 newTexCoord = vTextureCoord;
    if(newTexCoord.x < 0.5)
    {
        newTexCoord.x = newTexCoord.x + 0.25;
    }
    else
    {
        newTexCoord.x = (newTexCoord.x - 0.25);
    }

    vec3 centralColor = texture2D(uSampler, newTexCoord).rgb;
    gl_FragColor = vec4(centralColor.rgb,1.0);
}